Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class GOST3410ValidationParameters

    java.lang.Object
      org.bouncycastle.crypto.params.GOST3410ValidationParameters

    public class GOST3410ValidationParameters

extends java.lang.Object

Constructor Summary
`GOST3410ValidationParameters(int x0, int c)`
`GOST3410ValidationParameters(long x0L, long cL)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getC()`
`long` | `getCL()`
`int` | `getX0()`
`long` | `getX0L()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410ValidationParameters

    public GOST3410ValidationParameters(int x0,
                                        int c)

### GOST3410ValidationParameters

    public GOST3410ValidationParameters(long x0L,
                                        long cL)

Method Detail

### getC

    public int getC()

### getX0

    public int getX0()

### getCL

    public long getCL()

### getX0L

    public long getX0L()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD